

sub configura_apache2
    {
    my $documentroot = $_[0];
    my $serveradmin = $_[1];
    my $ip = $_[2];
    my $subdominio = $_[3];
    my $dominio = $_[4];
    my $id_subdominio = $_[5];

    my $comando = "/bin/mkdir -p -m 0750 ";
    my $dias = 0;
    my $horas = 0;
    my $minutos = 0;
    my $segundos = 0;
    my $uptime;
    my $checkeo = NULL;
    my $dir_conf_apache = "/etc/apache2/sites-available/";
    my $dir_link_apache = "/etc/apache2/sites-enabled/";

    my $subdominio_conf_apache = $dir_conf_apache.$subdominio.".".$dominio;
    my $subdominio_link_apache = $dir_link_apache.$id_subdominio.$subdominio.".".$dominio;
    my $servername = $subdominio.".".$dominio;


    mkdir($documentroot,0750) ;
    $checkeo = $checkeo && chown($usuario_dir_apache,$grupo_dir_apache,$documentroot);
    open(SKEL,"$skel_apache");
    open(SUBDOMINIO,">".$subdominio_conf_apache);

    print SUBDOMINIO "<VirtualHost $ip>\n";
    print SUBDOMINIO "ServerAdmin $serveradmin \n";
    print SUBDOMINIO "ServerName $servername \n";
    if($subdominio eq "www")
	{
	print SUBDOMINIO "ServerAlias $dominio \n";
	}

    while(eof(SKEL)==0)
	{
	$renglon = <SKEL>;
	print SUBDOMINIO "$renglon" ;
	}
    
    print SUBDOMINIO "</VirtualHost> \n";
    
    close SUBDOMINIO;
    close SKEL;

    symlink($subdominio_conf_apache,$subdominio_link_apache);

    }

